Bug 845891 - qemu should give friendly tip when boot guest with more than specified amount pci device
qemu should give friendly tip when boot guest with more than specified amount...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.9
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 22:54 EDT by langfang
Modified: 2013-01-09 20:05 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 03:11:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CLI (2.84 KB, text/plain)
2012-08-06 02:43 EDT, langfang
no flags Details

  None (edit)
Description langfang 2012-08-05 22:54:12 EDT
Description of problem:
qemu should give friendly tip when boot guest with more than 29 pci devices

Version-Release number of selected component (if applicable):

host:
# uname -r
2.6.18-333.el5
# rpm -q kvm
kvm-83-258.el5
guest:
# uname -r
2.6.18-333.el5

How reproducible:

100%
Steps to Reproduce:
1.boot guest with more than 30 virtio storage (1 virtio disk + 29 virtio storage)  ---CLI see attachment

2.(qemu)info pci
(qemu) info pci
  Bus  0, device   0, function 0:
    Host bridge: PCI device 8086:1237
  Bus  0, device   1, function 0:
    ISA bridge: PCI device 8086:7000
  Bus  0, device   1, function 1:
    IDE controller: PCI device 8086:7010
      BAR4: I/O at 0xc000 [0xc00f].
  Bus  0, device   1, function 2:
    USB controller: PCI device 8086:7020
      IRQ 11.
      BAR4: I/O at 0xc020 [0xc03f].
  Bus  0, device   1, function 3:
    Bridge: PCI device 8086:7113
      IRQ 9.
  Bus  0, device   2, function 0:
    VGA controller: PCI device 1013:00b8
      BAR0: 32 bit memory at 0xc2000000 [0xc3ffffff].
      BAR1: 32 bit memory at 0xc4000000 [0xc4000fff].
  Bus  0, device   3, function 0:
    Ethernet controller: PCI device 1af4:1000
      IRQ 11.
      BAR0: I/O at 0xc040 [0xc05f].
  Bus  0, device   4, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc080 [0xc0bf].
  Bus  0, device   5, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc0c0 [0xc0ff].
  Bus  0, device   6, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc100 [0xc13f].
  Bus  0, device   7, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc140 [0xc17f].
  Bus  0, device   8, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc180 [0xc1bf].
  Bus  0, device   9, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc1c0 [0xc1ff].
  Bus  0, device  10, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc200 [0xc23f].
  Bus  0, device  11, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc240 [0xc27f].
  Bus  0, device  12, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc280 [0xc2bf].
  Bus  0, device  13, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc2c0 [0xc2ff].
  Bus  0, device  14, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc300 [0xc33f].
  Bus  0, device  15, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc340 [0xc37f].
  Bus  0, device  16, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc380 [0xc3bf].
  Bus  0, device  17, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc3c0 [0xc3ff].
  Bus  0, device  18, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc400 [0xc43f].
  Bus  0, device  19, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc440 [0xc47f].
  Bus  0, device  20, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc480 [0xc4bf].
  Bus  0, device  21, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc4c0 [0xc4ff].
  Bus  0, device  22, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc500 [0xc53f].
  Bus  0, device  23, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc540 [0xc57f].
  Bus  0, device  24, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc580 [0xc5bf].
  Bus  0, device  25, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc5c0 [0xc5ff].
  Bus  0, device  26, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc600 [0xc63f].
  Bus  0, device  27, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc640 [0xc67f].
  Bus  0, device  28, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc680 [0xc6bf].
  Bus  0, device  29, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc6c0 [0xc6ff].
  Bus  0, device  30, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 10.
      BAR0: I/O at 0xc700 [0xc73f].
  Bus  0, device  31, function 0:
    SCSI controller: PCI device 1af4:1001
      IRQ 11.
      BAR0: I/O at 0xc740 [0xc77f].
(qemu) 

  
Actual results:
in guest:
#ls /dev/vd
vda   vdaa  vdc   vdf   vdi   vdl   vdo   vdr   vdu   vdx
vda1  vdab  vdd   vdg   vdj   vdm   vdp   vds   vdv   vdy
vda2  vdb   vde   vdh   vdk   vdn   vdq   vdt   vdw   vdz

can be recognize 28 pci device (+1 NIC=29 ).

Expected results:
when boot guest should give friendly tip for this issue

Additional info:
Comment 1 langfang 2012-08-06 02:43:46 EDT
Created attachment 602427 [details]
CLI
Comment 2 langfang 2012-08-06 02:47:20 EDT
CLI:
/usr/libexec/qemu-kvm -m 2G -smp 2 -cpu qemu64,+sse2 -drive file=/home/111.raw,format=raw,media=disk,if=virtio,cache=none,werror=stop,boot=on -net nic,model=virtio,macaddr=04:14:21:58:37:97,vlan=0 -net tap,sndbuf=0,vlan=0,script=/etc/qemu-ifup,downscript=no -uuid 556deb8c-f4fe-41fb-b324-e3e387a0967a -vnc :20 -boot nc -usbdevice tablet -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio  -boot c -drive file=/home/virtio1,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio2,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio3,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio4,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio5,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio6,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio7,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio8,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio9,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio10,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio11,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio12,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio13,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio14,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio15,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio16,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio17,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio18,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio19,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio20,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio21,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio22,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio23,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio24,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio25,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio26,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio27,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio28,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio29,format=qcow2,media=disk,if=virtio,cache=none,werror=stop -drive file=/home/virtio30,format=qcow2,media=disk,if=virtio,cache=none,werror=stop

Note You need to log in before you can comment on or make changes to this bug.